#
#      Copyright (C) 2014 Sean Poyser
#
#  This Program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#
#  This Program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with XBMC; see the file COPYING.  If not, write to
#  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#  http://www.gnu.org/copyleft/gpl.html
#

import xbmc
import xbmcaddon
import requests
import os

import utilsTOOLS as utils

OTT_TITLE   = 'On-Tapp.TV'
OTT_ADDONID = 'script.tvguidedixie'
OTT_ADDON   =  xbmcaddon.Addon(OTT_ADDONID)
OTT_HOME    =  xbmc.translatePath(OTT_ADDON.getAddonInfo('path'))
OTT_PROFILE =  xbmc.translatePath(OTT_ADDON.getAddonInfo('profile'))


import sys
cfpath = os.path.join(OTT_HOME, 'resources')
sys.path.insert(0, cfpath)

import cfscrape

# utils.log('---------- CF TOOLS download path ---------')
# utils.log(cfpath)

def download(url, dest, dp=None):
    scraper = cfscrape.create_scraper()

    utils.log('---------- CF TOOLS download url ---------')
    utils.log(url)
    r = scraper.get(url, stream=True)

    try:
        length = int(r.headers['Content-Length'])
    except:
        length = 15000000

    chunkSize  = 512
    currLength = float(0)

    with open(dest, 'wb') as f:
        for chunk in r.iter_content(chunkSize):
            f.write(chunk)
            if dp:
                currLength += chunkSize
                percent     = currLength /  length * 100
                dp.update(int(percent))

# def download(url, dest):
#     utils.Log('---------- ottools download url ---------')
#     utils.Log(url)
#     r = requests.get(url)
#     with open(dest, 'wb') as f:
#         for chunk in r.iter_content(512):
#             f.write(chunk)

